# DateRecord class

Structure to contain date record information

Annotations
  - @JsonSerializable(createFactory: true, includeIfNull: false, createToJson: false)

## Constructors

DateRecord(String dateString, DateRecordType type, double recognitionConfidenceValue)
DateRecord.fromJson(Map<String, dynamic> json)
  factory

## Properties

dateString ↔ String
  Date string
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
recognitionConfidenceValue ↔ double
  Recognition confidence value
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
type ↔ DateRecordType
  Date type
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited